Subject: bug#14569: Emacs segfaulting on FreeBSD 9.1-RELEASE (amd64) during memory allocation.

From: Paul Eggert <[email-masked]>
Date: Wed, 03 Jul 2013 17:58:10 -0700

[CC'ing to [email-masked] as I think it's related
to that bug....]

On 07/03/2013 09:00 AM, Ashish SHUKLA wrote:

> I tried bzr revision r113270 on my FreeBSD 9.1-RELEASE (amd64), and it
> segfaulted during bootstrap process...
> #v+
> #3367385 0x00000008080742c6 in pthread_mutex_lock () from /lib/libthr.so.3
> #3367386 0x000000000066d846 in _malloc_internal (size=1016) at gmalloc.c:901
> #3367387 0x000000000066d8c1 in malloc (size=1016) at gmalloc.c:925
> #3367388 0x000000000066ec30 in calloc (nmemb=1, size=1016) at gmalloc.c:1492
> #3367389 0x00000008080764bd in ?? () from /lib/libthr.so.3
> #3367390 0x0000000808076d5b in ?? () from /lib/libthr.so.3
> #3367391 0x00000008080742c6 in pthread_mutex_lock () from /lib/libthr.so.3
> #3367392 0x000000000066d846 in _malloc_internal (size=1016) at gmalloc.c:901
> #3367393 0x000000000066d8c1 in malloc (size=1016) at gmalloc.c:925
> #3367394 0x000000000066ec30 in calloc (nmemb=1, size=1016) at gmalloc.c:1492
...

This is no doubt fallout from trunk bzr 113247, needed for
Cygwin.  I installed what I hope fixes the problem for
FreeBSD, without reintroducing the Cygwin bug, as trunk
bzr 113275; please give it a try.

I don't use either Cygwin or FreeBSD, so I'm afraid
I have to rely on others to check these fixes.